<?php

/**
 * Header Options
 *
 * @package gamers_studio
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'gamers_studio_general_options',
	array(
		'panel' => 'gamers_studio_theme_options',
		'title' => esc_html__( 'General Options', 'gamers-studio' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'gamers_studio_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'gamers-studio' ),
	'section' => 'gamers_studio_general_options',
	'settings' => 'gamers_studio_preloader_separator',
) ) );

// General Options - Enable Preloader.
$wp_customize->add_setting(
	'gamers_studio_enable_preloader',
	array(
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'gamers-studio' ),
			'section' => 'gamers_studio_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'gamers_studio_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'gamers_studio_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'gamers-studio'),
		'active_callback' => 'gamers_studio_is_preloader_style',
        'section'  => 'gamers_studio_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'gamers-studio'),
            'style2' => esc_html__('Style 2', 'gamers-studio'),
            'style3' => esc_html__('Style 3', 'gamers-studio'),
        ),
    )
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'gamers_studio_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'gamers_studio_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'gamers-studio'),
			'active_callback' => 'gamers_studio_is_preloader_style',
			'section' => 'gamers_studio_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'gamers_studio_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'gamers_studio_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'gamers-studio'),
			'active_callback' => 'gamers_studio_is_preloader_style',
			'section' => 'gamers_studio_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'gamers_studio_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'gamers-studio' ),
	'section' => 'gamers_studio_general_options',
	'settings' => 'gamers_studio_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'gamers_studio_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'gamers-studio' ),
			'section'  => 'gamers_studio_general_options',
			'settings' => 'gamers_studio_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'gamers_studio_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'gamers_studio_sanitize_select',
	)
);

$wp_customize->add_control(
	'gamers_studio_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'gamers-studio' ),
		'section'         => 'gamers_studio_general_options',
		'settings'        => 'gamers_studio_pagination_type',
		'active_callback' => 'gamers_studio_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'gamers-studio' ),
			'numeric' => __( 'Numeric', 'gamers-studio' ),
		),
	)
);


// ---------------------------------------- BREADCRUMB ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'gamers_studio_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'gamers-studio' ),
	'section' => 'gamers_studio_general_options',
	'settings' => 'gamers_studio_breadcrumb_separators',
)));

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'gamers_studio_enable_breadcrumb',
	array(
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'gamers-studio' ),
			'section' => 'gamers_studio_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'gamers_studio_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'gamers_studio_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'gamers-studio' ),
		'active_callback' => 'gamers_studio_is_breadcrumb_enabled',
		'section'         => 'gamers_studio_general_options',
	)
);




// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'gamers_studio_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'gamers-studio' ),
	'section' => 'gamers_studio_general_options',
	'settings' => 'gamers_studio_layuout_separator',
)));


$wp_customize->add_setting(
	'gamers_studio_website_layout',
	array(
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'gamers-studio'),
			'section' => 'gamers_studio_general_options',
		)
	)
);


$wp_customize->add_setting('gamers_studio_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'gamers_studio_sanitize_range_value',
));

$wp_customize->add_control(new Gamers_Studio_Customize_Range_Control($wp_customize, 'gamers_studio_layout_width_margin', array(
		'label'       => __('Set Width', 'gamers-studio'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'gamers-studio'),
		'section'     => 'gamers_studio_general_options',
		'settings'    => 'gamers_studio_layout_width_margin',
		'active_callback' => 'gamers_studio_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));




// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------	

// Header Options
$wp_customize->add_section(
	'gamers_studio_header_options',
	array(
		'panel' => 'gamers_studio_theme_options',
		'title' => esc_html__( 'Header Options', 'gamers-studio' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'gamers_studio_enable_sticky_header',
	array(
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'gamers-studio' ),
			'section' => 'gamers_studio_header_options',
		)
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'gamers_studio_enable_header_search_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_header_search_section',
		array(
			'label'    => esc_html__( 'Enable Search Section', 'gamers-studio' ),
			'section'  => 'gamers_studio_header_options',
			'settings' => 'gamers_studio_enable_header_search_section',
		)
	)
);

// Banner Section - Button Label.
$wp_customize->add_setting(
	'gamers_studio_header_button_label_',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'gamers_studio_header_button_label_',
	array(
		'label'           => esc_html__( 'Button Label 1', 'gamers-studio'  ),
		'section'         => 'gamers_studio_header_options',
		'settings'        => 'gamers_studio_header_button_label_',
		'type'            => 'text',
	)
);

// Banner Section - Button Link.
$wp_customize->add_setting(
	'gamers_studio_header_button_link_',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'gamers_studio_header_button_link_',
	array(
		'label'           => esc_html__( 'Button Link 1', 'gamers-studio' ),
		'section'         => 'gamers_studio_header_options',
		'settings'        => 'gamers_studio_header_button_link_',
		'type'            => 'url',
	)
);

// Banner Section - Button Label.
$wp_customize->add_setting(
	'gamers_studio_header_button_label_1',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'gamers_studio_header_button_label_1',
	array(
		'label'           => esc_html__( 'Button Label 2', 'gamers-studio'  ),
		'section'         => 'gamers_studio_header_options',
		'settings'        => 'gamers_studio_header_button_label_1',
		'type'            => 'text',
	)
);

// Banner Section - Button Link.
$wp_customize->add_setting(
	'gamers_studio_header_button_link_1',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'gamers_studio_header_button_link_1',
	array(
		'label'           => esc_html__( 'Button Link 2', 'gamers-studio' ),
		'section'         => 'gamers_studio_header_options',
		'settings'        => 'gamers_studio_header_button_link_1',
		'type'            => 'url',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'gamers_studio_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_menu_separator', array(
	'label' => __( 'Menu Settings', 'gamers-studio' ),
	'section' => 'gamers_studio_header_options',
	'settings' => 'gamers_studio_menu_separator',
)));

$wp_customize->add_setting( 'gamers_studio_menu_font_size', array(
    'default'           => 16,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'gamers_studio_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'gamers_studio_header_options',
    'label'       => __( 'Menu Font Size ', 'gamers-studio' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

// Add setting for menu font weight
$wp_customize->add_setting('gamers_studio_menu_font_weight', array(
    'default'           => '500',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('gamers_studio_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'gamers_studio_header_options', 
    'label'    => __('Menu Font Weight', 'gamers-studio'),
    'choices'  => array(
		'100' => __('100','gamers-studio'),
		'200' => __('200','gamers-studio'),
		'300' => __('300','gamers-studio'),
		'400' => __('400','gamers-studio'),
		'500' => __('500','gamers-studio'),
		'600' => __('600','gamers-studio'),
		'700' => __('700','gamers-studio'),
		'800' => __('800','gamers-studio'),
		'900' => __('900','gamers-studio'),
    ),
));

$wp_customize->add_setting( 'gamers_studio_menu_text_transform', array(
    'default'           => 'capitalize', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'gamers_studio_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'gamers_studio_header_options',
    'label'    => __( 'Menu Text Transform', 'gamers-studio' ),
    'choices'  => array(
        'none'       => __( 'None', 'gamers-studio' ),
        'capitalize' => __( 'Capitalize', 'gamers-studio' ),
        'uppercase'  => __( 'Uppercase', 'gamers-studio' ),
        'lowercase'  => __( 'Lowercase', 'gamers-studio' ),
    ),
));

// Menu Text Color 
$wp_customize->add_setting(
	'gamers_studio_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'gamers_studio_menu_text_color', 
		array(
			'label' => __('Menu Color', 'gamers-studio'),
			'section' => 'gamers_studio_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'gamers_studio_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'gamers_studio_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'gamers-studio'),
			'section' => 'gamers_studio_header_options',
		)
	)
);

$wp_customize->add_setting( 
	'gamers_studio_header_settings_upgraded_features',
	array(
		'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'gamers_studio_header_settings_upgraded_features', 
	array(
		'type'=> 'hidden',
		'description' => "
			<div class='customizer-upgraded-features'>
				<i class='fas fa-info-circle'></i>
				<span class='pro-text'>
					Unlock Premium <strong>Features</strong> ?<br>
					<a target='_blank' href='". esc_url(GAMERS_STUIDO_PREMIUM_PAGE) ." '>Upgrade Pro</a>
				</div>
			</div>
		",
		'section' => 'gamers_studio_header_options'
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------

$wp_customize->add_setting( 'gamers_studio_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'gamers_studio_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'gamers-studio' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );


// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'gamers_studio_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'gamers_studio_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'gamers-studio' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'gamers_studio_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'gamers_studio_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'gamers-studio' ),
			'section'  => 'title_tagline',
			'settings' => 'gamers_studio_enable_site_title_setting',
		)
	)
);
// Tagline - Enable Setting.
$wp_customize->add_setting(
	'gamers_studio_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'gamers-studio' ),
			'section'  => 'title_tagline',
			'settings' => 'gamers_studio_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('gamers_studio_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'gamers_studio_sanitize_range_value',
));

$wp_customize->add_control(new Gamers_Studio_Customize_Range_Control($wp_customize, 'gamers_studio_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'gamers-studio'),
    'description' => __('This setting controls the Width of Site Logo', 'gamers-studio'),
    'section'     => 'title_tagline',
    'settings'    => 'gamers_studio_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'gamers_studio_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Gamers_Studio_Separator_Custom_Control( $wp_customize, 'gamers_studio_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'gamers-studio' ),
	'section' => 'gamers_studio_general_options',
	'settings' => 'gamers_studio_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('gamers_studio_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control($wp_customize,'gamers_studio_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'gamers-studio' ),
			'section' => 'gamers_studio_general_options',
		)
	)
);